LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XChild Interface Referencepublished

provides access to the parent of the object. More...

`import"XChild.idl";`

Inheritance diagram for XChild:

## Public Member Functions
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the parent of the object.

This interface normally is only supported if the objects all have exactly one dedicated parent container.

Developers Guide
  UCB - Services and Interfaces

## Member Function Documentation

## ◆ getParent()

com::sun::star::uno::XInterface getParent | ( |  | ) |

grants access to the object containing this content.

## ◆ setParent()

void setParent | ( | [in] com::sun::star::uno::XInterface | Parent | ) |
raises | ( | com::sun::star::lang::NoSupportException
| ) |  |

sets the parent to this object.

Exceptions

  com::sun::star::lang::NoSupportException | if the name of this object cannot be changed.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XChild.idl